summaryrefslogtreecommitdiff
path: root/tests/tests/gdr-import-nostitch
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tests/gdr-import-nostitch')
-rwxr-xr-xtests/tests/gdr-import-nostitch30
1 files changed, 30 insertions, 0 deletions
diff --git a/tests/tests/gdr-import-nostitch b/tests/tests/gdr-import-nostitch
new file mode 100755
index 0000000..c32b71e
--- /dev/null
+++ b/tests/tests/gdr-import-nostitch
@@ -0,0 +1,30 @@
+#!/bin/bash
+set -e
+autoimport=
+. tests/lib
+. $troot/lib-gdr
+
+t-dependencies GDR
+
+t-tstunt-parsechangelog
+
+t-gdr-gbp-import-core-with-queue
+
+git checkout master
+
+git tag -m synthetic debian/1.0-1
+
+echo '# comment' >>debian/patches/series
+git add debian/patches/series
+git commit -m 'add a comment'
+
+t-expect-fail F:-fseries-comments \
+t-git-debrebase -fupstream-has-debian -funused-patches convert-from-gbp
+
+t-git-debrebase -fupstream-has-debian -funused-patches -fseries-comments \
+ convert-from-gbp \
+ 2>&1 | tee ../convert-msg
+
+grep -e 'dgit --overwrite will be needed' ../convert-msg >/dev/null
+
+t-ok